DISPDATA_GET_NAMELIST(3)

EXPERIMENTAL_FUNC
dispdata_get_namelist - Get the list of (sorted) data names for a dataclass.

SYNOPSIS
#include <karma_dispdata.h>

CONST char ** dispdata_get_namelist

(KDisplayDataClass dataclass, unsigned int *num_entries, unsigned int *num_chars)

DESCRIPTION
Get the list of (sorted) data names for a dataclass.

dataclass
    The KDisplayDataClass object.

num_entries
    The number of entries in the list is written here.

num_chars
    The sum of the lengths of the names is written here. This does not include terminator characters.

RETURN VALUE
The array of names.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/